Mailinglist Archive: opensuse-updates (48 mails)

< Previous Next >
openSUSE-SU-2014:1045-1: moderate: update for apache2
openSUSE Security Update: update for apache2
______________________________________________________________________________

Announcement ID: openSUSE-SU-2014:1045-1
Rating: moderate
References: #869105 #869106 #887765 #887768
Cross-References: CVE-2013-6438 CVE-2014-0098 CVE-2014-0226
CVE-2014-0231
Affected Products:
openSUSE 12.3
______________________________________________________________________________

An update that fixes four vulnerabilities is now available.

Description:

This apache2 update fixes the following security issues:

- CRIME types of attack, based on size and timing analysis of compressed
content, are now mitigated by the new SSLCompression directive, set to
"no" in /etc/apache2/ssl-global.conf
- ssl-global.conf: SSLHonorCipherOrder set to on
- SSLCipherSuite updates to vhosts.d/vhost-ssl.template and
apache2-default-vhost-ssl.conf
- new config option CGIDScriptTimeout set to 60s in new file
conf.d/cgid-timeout.conf, preventing worker processes hanging forever if
a cgi launched from them has stopped reading input from the server.
(bnc#887768, CVE-2014-0231)
- fix for mod_status race condition in scoreboard handling and consecutive
heap overflow and information disclosure if access to mod_status is
granted to a potential attacker. (bnc#887765, CVE-2014-0226)
- fixed improperly handled whitespace characters in CDATA sections of
requests to mod_dav can lead to a crash, resulting in a DoS against the
server. (bnc#869105, CVE-2013-6438)
- fix for crash in parsing cookie content, resulting in a DoS against the
server. (bnc#869106, CVE-2014-0098)


Patch Instructions:

To install this openSUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE 12.3:

zypper in -t patch openSUSE-2014-502

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE 12.3 (i586 x86_64):

apache2-2.2.22-10.12.1
apache2-debuginfo-2.2.22-10.12.1
apache2-debugsource-2.2.22-10.12.1
apache2-devel-2.2.22-10.12.1
apache2-event-2.2.22-10.12.1
apache2-event-debuginfo-2.2.22-10.12.1
apache2-example-pages-2.2.22-10.12.1
apache2-itk-2.2.22-10.12.1
apache2-itk-debuginfo-2.2.22-10.12.1
apache2-prefork-2.2.22-10.12.1
apache2-prefork-debuginfo-2.2.22-10.12.1
apache2-utils-2.2.22-10.12.1
apache2-utils-debuginfo-2.2.22-10.12.1
apache2-worker-2.2.22-10.12.1
apache2-worker-debuginfo-2.2.22-10.12.1

- openSUSE 12.3 (noarch):

apache2-doc-2.2.22-10.12.1


References:

http://support.novell.com/security/cve/CVE-2013-6438.html
http://support.novell.com/security/cve/CVE-2014-0098.html
http://support.novell.com/security/cve/CVE-2014-0226.html
http://support.novell.com/security/cve/CVE-2014-0231.html
https://bugzilla.novell.com/869105
https://bugzilla.novell.com/869106
https://bugzilla.novell.com/887765
https://bugzilla.novell.com/887768


< Previous Next >
This Thread
  • No further messages